---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/v5-EN/llms.txt
---

# Create new Field Permission

Creates a PermissionField resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/permissions/fields": {
      "post": {
        "operationId": "postPermissionFieldCollection",
        "tags": [
          "User & Permission"
        ],
        "responses": {
          "201": {
            "description": "PermissionField resource created",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput.jsonld"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                }
              }
            },
            "links": {
              "GetPermissionFieldItem": {
                "operationId": "getPermissionFieldItem",
                "parameters": {
                  "code": "$response.body#/code"
                },
                "description": "The `code` value returned in the response can be used as the `code` parameter in `GET /permissions/fields/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Create new Field Permission",
        "description": "Creates a PermissionField resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new PermissionField resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/PermissionField.jsonld-create"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/PermissionField-create"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PermissionField-create"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/PermissionField-create"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "LanguageTranslation": {
        "type": "object",
        "description": "This structure does accept key & values where key has to be a language code configured in your PIM & the value is the value for this field in this language.",
        "properties": {
          "fr-FR": {
            "type": "string",
            "example": "fr-FR translation"
          },
          "en-US": {
            "type": "string",
            "example": "en-US translation"
          }
        },
        "additionalProperties": {
          "type": "string",
          "example": "additional translation"
        },
        "example": {
          "fr-FR": "fr-FR translation",
          "en-US": "en-US translation",
          "<*>": "..."
        }
      },
      "PermissionField-create": {
        "type": "object",
        "required": [
          "fieldsVisible",
          "fieldsEditable",
          "id",
          "name"
        ],
        "properties": {
          "fieldsVisible": {
            "type": "array",
            "example": [
              "name",
              "web_description"
            ],
            "items": {
              "type": "string",
              "description": "This is a field code.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "description": "This array should contains Field Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "name",
              "web_description"
            ],
            "items": {
              "type": "string",
              "description": "This is a field code.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "description": "This array should contains Field Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones."
          },
          "users": {
            "$ref": "#/components/schemas/UsersCollection",
            "description": "This array should contains User Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones.",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "PermissionField.PermissionFieldOutput": {
        "type": "object",
        "properties": {
          "fieldsVisible": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object",
              "description": "This is simple version of a user.",
              "properties": {
                "id": {
                  "$ref": "#/components/schemas/Identifier"
                },
                "firstName": {
                  "type": "string"
                },
                "lastName": {
                  "type": "string"
                }
              }
            },
            "readOnly": true
          }
        }
      },
      "PermissionField.PermissionFieldOutput.jsonld": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "fieldsVisible": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object",
              "description": "This is simple version of a user.",
              "properties": {
                "id": {
                  "$ref": "#/components/schemas/Identifier"
                },
                "firstName": {
                  "type": "string"
                },
                "lastName": {
                  "type": "string"
                }
              }
            },
            "readOnly": true
          }
        }
      },
      "PermissionField.jsonld-create": {
        "type": "object",
        "required": [
          "fieldsVisible",
          "fieldsEditable",
          "id",
          "name"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "fieldsVisible": {
            "type": "array",
            "example": [
              "name",
              "web_description"
            ],
            "items": {
              "type": "string",
              "description": "This is a field code.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "description": "This array should contains Field Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "name",
              "web_description"
            ],
            "items": {
              "type": "string",
              "description": "This is a field code.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "description": "This array should contains Field Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones."
          },
          "users": {
            "$ref": "#/components/schemas/UsersCollection",
            "description": "This array should contains User Identifiers. While POST or PUT, this array should contain every single value needed, while current values in the payload will replace existing ones.",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "UsersCollection": {
        "title": "UsersCollection",
        "type": "array",
        "description": "This object should contains a collection of user identifiers",
        "items": {
          "type": "string",
          "$ref": "#/components/schemas/Identifier"
        },
        "example": [
          "johndoe",
          "janedoe"
        ]
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ]
}
```